unit noguiFRDM;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, frxClass, frxExportPDF;

type

  { TDataModule1 }

  TDataModule1 = class(TDataModule)
    frxPDFExport1: TfrxPDFExport;
    frxReport1: TfrxReport;
    procedure DataModuleCreate(Sender: TObject);
  private

  public
    procedure MakeReport(repFile: string);
  end;

var
  DataModule1: TDataModule1;

implementation

{$R *.lfm}

{ TDataModule1 }

procedure TDataModule1.DataModuleCreate(Sender: TObject);
begin
  frxReport1.EngineOptions.DestroyForms := False;
  frxPDFExport1.ShowDialog:=false;
end;

procedure TDataModule1.MakeReport(repFile: string);
begin
  frxReport1.PrepareReport(False);
  frxPDFExport1.ShowDialog := false;
  frxPDFExport1.FileName:=repFile;
  frxPDFExport1.ShowProgress := false;
  frxReport1.Export(frxPDFExport1);
end;

end.

